Skip to content

Get Execution Replays

GET
/api/v1/executions/{execution_id}/replays

Get all replay executions for a parent execution.

Args: execution_id: Parent execution UUID service: Execution service (injected) limit: Maximum number of results per page (default: 100) offset: Number of records to skip for pagination (default: 0)

Returns: Paginated list of replay executions

execution_id
required
Execution Id
string
limit
Limit

Maximum results per page

integer
default: 100 >= 1 <= 1000

Maximum results per page

offset
Offset

Number of records to skip

integer
0

Number of records to skip

Successful Response

ExecutionListResponse

Paginated list of pipeline executions.

object
total
required
Total

Total number of executions matching filters

integer
limit
required
Limit

Maximum entries per page

integer
offset
required
Offset

Offset from start

integer
has_more
required
Has More

Whether more executions exist

boolean
executions
required
Executions

List of executions

Array<object>
ExecutionResponse

Pipeline execution response.

Storage paths use execution id (UUID v7) directly.

object
id
required
Id

Execution UUID (used for storage paths)

string format: uuid
config_id
required
Config Id

Configuration ID

string format: uuid
status
required
Status

Current status

string
Allowed values: running completed failed cancelled interrupted
started_at
required
Started At

Start timestamp

string format: date-time
completed_at
Any of:
string format: date-time
parent_execution_id
Any of:
string format: uuid
replay_source
Any of:
string
Allowed values: storage lineage manual
tag
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object